Index: /palm/trunk/SOURCE/swap_timelevel.f90
===================================================================
--- /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1114)
+++ /palm/trunk/SOURCE/swap_timelevel.f90	(revision 1115)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! calculation of qr and nr is restricted to precipitation
 ! 
 ! Former revisions:
@@ -130,5 +130,6 @@
           IF ( humidity  .OR.  passive_scalar )  THEN
              q => q_1;    q_p => q_2
-             IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+                  precipitation )  THEN
                 qr => qr_1;    qr_p => qr_2
                 nr => nr_1;    nr_p => nr_2
@@ -153,5 +154,6 @@
           IF ( humidity  .OR.  passive_scalar )  THEN
              q => q_2;    q_p => q_1
-             IF ( cloud_physics  .AND.  icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.  &
+                  precipitation)  THEN
                 qr => qr_2;    qr_p => qr_1
                 nr => nr_2;    nr_p => nr_1
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 1114)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 1115)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! calculation of qr and nr is restricted to precipitation
 !
 ! Former revisions:
@@ -266,5 +266,6 @@
           IF (humidity  .OR.  passive_scalar)  THEN
              CALL exchange_horiz( q_p, nbgp )
-             IF ( cloud_physics .AND. icloud_scheme == 0 )  THEN
+             IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.              &
+                  precipitation)  THEN
                 CALL exchange_horiz( qr_p, nbgp )
                 CALL exchange_horiz( nr_p, nbgp )
@@ -349,11 +350,4 @@
 
 !
-!--       If required, compute virtuell potential temperature
-          IF ( humidity )  THEN
-             CALL compute_vpt
-             !$acc update device( vpt )
-          ENDIF
-
-!
 !--       If required, compute liquid water content
           IF ( cloud_physics )  THEN
@@ -361,5 +355,10 @@
              !$acc update device( ql )
           ENDIF
-
+! 
+!--       If required, compute virtual potential temperature 
+          IF ( humidity )  THEN 
+             CALL compute_vpt 
+             !$acc update device( vpt ) 
+          ENDIF 
 !
 !--       Compute the diffusion quantities
@@ -373,5 +372,4 @@
                 CALL cpu_log( log_point(19), 'prandtl_fluxes', 'stop' )
              ENDIF
-
 !
 !--          Compute the diffusion coefficients
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1114)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1115)
@@ -20,11 +20,9 @@
 ! Current revisions:
 ! -----------------
+! qr and nr are restricted to precipitation
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
-!
-! 1074 2012-12-03 11:00:05Z hoffmann
-! Bugfix in writing qr, nr
 !
 ! 1053 2012-11-13 17:11:03Z hoffmann
@@ -117,5 +115,5 @@
 !
 !-- Write arrays.
-    binary_version = '3.3'
+    binary_version = '3.4'
 
     WRITE ( 14 )  binary_version
@@ -179,19 +177,25 @@
              WRITE ( 14 )  'ql_av               ';  WRITE ( 14 )  ql_av
           ENDIF
-          IF ( icloud_scheme == 0  .AND.  cloud_physics )  THEN
-             WRITE ( 14 )  'qr                  ';  WRITE ( 14 ) qr
-             WRITE ( 14 )  'nr                  ';  WRITE ( 14 ) nr
-             IF ( ALLOCATED( qr_av ) )  THEN
-                WRITE ( 14 )  'qr_av               ';  WRITE ( 14 )  qr_av
+          IF ( icloud_scheme == 0 )  THEN
+             WRITE ( 14 )  'qc                  ';  WRITE ( 14 ) qc
+             IF ( ALLOCATED( qc_av ) )  THEN
+                WRITE ( 14 )  'qc_av               ';  WRITE ( 14 )  qc_av
              ENDIF
-             IF ( ALLOCATED( nr_av ) )  THEN
-                WRITE ( 14 )  'nr_av               ';  WRITE ( 14 )  nr_av
+             IF ( precipitation )  THEN
+                WRITE ( 14 )  'nr                  ';  WRITE ( 14 ) nr
+                IF ( ALLOCATED( nr_av ) )  THEN
+                   WRITE ( 14 )  'nr_av               ';  WRITE ( 14 )  nr_av
+                ENDIF
+                WRITE ( 14 )  'nrs                 ';  WRITE ( 14 ) nrs
+                WRITE ( 14 )  'nrsws               ';  WRITE ( 14 ) nrsws
+                WRITE ( 14 )  'nrswst              ';  WRITE ( 14 ) nrswst
+                WRITE ( 14 )  'qr                  ';  WRITE ( 14 ) qr
+                IF ( ALLOCATED( qr_av ) )  THEN
+                   WRITE ( 14 )  'qr_av               ';  WRITE ( 14 )  qr_av
+                ENDIF
+                WRITE ( 14 )  'qrs                 ';  WRITE ( 14 ) qrs
+                WRITE ( 14 )  'qrsws               ';  WRITE ( 14 ) qrsws
+                WRITE ( 14 )  'qrswst              ';  WRITE ( 14 ) qrswst
              ENDIF
-             WRITE ( 14 )  'qrs                 ';  WRITE ( 14 ) qrs
-             WRITE ( 14 )  'qrsws               ';  WRITE ( 14 ) qrsws
-             WRITE ( 14 )  'qrswst              ';  WRITE ( 14 ) qrswst
-             WRITE ( 14 )  'nrs                 ';  WRITE ( 14 ) nrs
-             WRITE ( 14 )  'nrsws               ';  WRITE ( 14 ) nrsws
-             WRITE ( 14 )  'nrswst              ';  WRITE ( 14 ) nrswst
           ENDIF
        ENDIF
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 1114)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 1115)
@@ -20,4 +20,5 @@
 ! Current revisions:
 ! -----------------
+! unused variables removed
 !
 ! Former revisions:
@@ -165,5 +166,5 @@
 
 
-    binary_version = '3.8'
+    binary_version = '3.9'
 
     WRITE ( 14 )  binary_version
@@ -204,10 +205,4 @@
     WRITE ( 14 )  'bc_ns                         '
     WRITE ( 14 )  bc_ns
-    WRITE ( 14 )  'bc_nr_b                       '
-    WRITE ( 14 )  bc_nr_b
-    WRITE ( 14 )  'bc_nr_t                       '
-    WRITE ( 14 )  bc_nr_t
-    WRITE ( 14 )  'bc_nr_t_val                   '
-    WRITE ( 14 )  bc_nr_t_val
     WRITE ( 14 )  'bc_p_b                        '
     WRITE ( 14 )  bc_p_b
@@ -226,10 +221,4 @@
     WRITE ( 14 )  'bc_q_t_val                    '
     WRITE ( 14 )  bc_q_t_val
-    WRITE ( 14 )  'bc_qr_b                       '
-    WRITE ( 14 )  bc_qr_b
-    WRITE ( 14 )  'bc_qr_t                       '
-    WRITE ( 14 )  bc_qr_t
-    WRITE ( 14 )  'bc_qr_t_val                   '
-    WRITE ( 14 )  bc_qr_t_val
     WRITE ( 14 )  'bc_s_b                        '
     WRITE ( 14 )  bc_s_b
@@ -392,6 +381,6 @@
     WRITE ( 14 )  'momentum_advec                '
     WRITE ( 14 )  momentum_advec
-    WRITE ( 14 )  'nc                            '
-    WRITE ( 14 )  nc
+    WRITE ( 14 )  'nc_const                      '
+    WRITE ( 14 )  nc_const
     WRITE ( 14 )  'netcdf_precision              '
     WRITE ( 14 )  netcdf_precision
@@ -400,16 +389,4 @@
     WRITE ( 14 )  'ngsrb                         '
     WRITE ( 14 )  ngsrb
-    WRITE ( 14 )  'nr_init                       '
-    WRITE ( 14 )  nr_init
-    WRITE ( 14 )  'nr_surface                    '
-    WRITE ( 14 )  nr_surface
-    WRITE ( 14 )  'nr_surface_initial_change     '
-    WRITE ( 14 )  nr_surface_initial_change
-    WRITE ( 14 )  'nr_vertical_gradient          '
-    WRITE ( 14 )  nr_vertical_gradient
-    WRITE ( 14 )  'nr_vertical_gradient_level    '
-    WRITE ( 14 )  nr_vertical_gradient_level
-    WRITE ( 14 )  'nr_vertical_gradient_level_ind'
-    WRITE ( 14 )  nr_vertical_gradient_level_ind
     WRITE ( 14 )  'nsor                          '
     WRITE ( 14 )  nsor
@@ -476,16 +453,4 @@
     WRITE ( 14 )  'q_vertical_gradient_level_ind '
     WRITE ( 14 )  q_vertical_gradient_level_ind
-    WRITE ( 14 )  'qr_init                       '
-    WRITE ( 14 )  qr_init
-    WRITE ( 14 )  'qr_surface                    '
-    WRITE ( 14 )  qr_surface
-    WRITE ( 14 )  'qr_surface_initial_change     '
-    WRITE ( 14 )  qr_surface_initial_change
-    WRITE ( 14 )  'qr_vertical_gradient          '
-    WRITE ( 14 )  qr_vertical_gradient
-    WRITE ( 14 )  'qr_vertical_gradient_level    '
-    WRITE ( 14 )  qr_vertical_gradient_level
-    WRITE ( 14 )  'qr_vertical_gradient_level_ind'
-    WRITE ( 14 )  qr_vertical_gradient_level_ind
     WRITE ( 14 )  'radiation                     '
     WRITE ( 14 )  radiation
@@ -534,8 +499,4 @@
     WRITE ( 14 )  'surface_waterflux             '
     WRITE ( 14 )  surface_waterflux    
-    WRITE ( 14 )  'surface_waterflux_nr          '
-    WRITE ( 14 )  surface_waterflux_nr    
-    WRITE ( 14 )  'surface_waterflux_qr          '
-    WRITE ( 14 )  surface_waterflux_qr    
     WRITE ( 14 )  's_surface                     '
     WRITE ( 14 )  s_surface
